Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Class CredentialsNotSetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.security.SecurityException
                          org.mule.api.security.UnauthorisedException
                              org.mule.api.security.CredentialsNotSetException

All Implemented Interfaces:
  Serializable

    public class CredentialsNotSetException

extends UnauthorisedException

`CredentialsNotSetException` is thrown when user credentials cannot be obtained from the current message

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`CredentialsNotSetException(Message message, MuleEvent event)`
`CredentialsNotSetException(Message message, MuleEvent event, Throwable cause)`
`CredentialsNotSetException(Message message, MuleMessage muleMessage)` Deprecated. use CredentialsNotSetException(Message, MuleEvent)
`CredentialsNotSetException(Message message, MuleMessage muleMessage, Throwable cause)` Deprecated. use CredentialsNotSetException(Message, MuleEvent, Throwable)
`CredentialsNotSetException(MuleEvent event, SecurityContext context, ImmutableEndpoint endpoint, EndpointSecurityFilter filter)`
`CredentialsNotSetException(MuleMessage muleMessage, SecurityContext context, ImmutableEndpoint endpoint, EndpointSecurityFilter filter)` Deprecated. use CredentialsNotSetException(MuleEvent, SecurityContext, ImmutableEndpoint, EndpointSecurityFilter)

Method Summary

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CredentialsNotSetException

    @Deprecated
    public CredentialsNotSetException(Message message,
                                                 MuleMessage muleMessage)

  Deprecated. use CredentialsNotSetException(Message, MuleEvent)

### CredentialsNotSetException

    public CredentialsNotSetException(Message message,
                                      MuleEvent event)

### CredentialsNotSetException

    @Deprecated
    public CredentialsNotSetException(Message message,
                                                 MuleMessage muleMessage,
                                                 Throwable cause)

  Deprecated. use CredentialsNotSetException(Message, MuleEvent, Throwable)

### CredentialsNotSetException

    public CredentialsNotSetException(Message message,
                                      MuleEvent event,
                                      Throwable cause)

### CredentialsNotSetException

    @Deprecated
    public CredentialsNotSetException(MuleMessage muleMessage,
                                                 SecurityContext context,
                                                 ImmutableEndpoint endpoint,
                                                 EndpointSecurityFilter filter)

  Deprecated. use CredentialsNotSetException(MuleEvent, SecurityContext, ImmutableEndpoint, EndpointSecurityFilter)

### CredentialsNotSetException

    public CredentialsNotSetException(MuleEvent event,
                                      SecurityContext context,
                                      ImmutableEndpoint endpoint,
                                      EndpointSecurityFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.